Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007330opensim[REGION] Script Functionspublic2014-09-21 12:532015-11-19 13:39
ReporterMata Hari 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel i7 930 quad coreOSWindows .NETOS VersionWin7 x64
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007330: llRegionSayTo() now says it twice...
DescriptionAs of very recently the function llRegionSayTo(key user,integer channel,string text) now sends the message in duplicate.

I expect this is a by-product of commit 427240 - r/25246
Steps To ReproduceRez prim and put this script in it

default
{
    state_entry()
    {
        llRegionSayTo(llGetOwner(),0, "llRegionSayTo is now saying it twice");
    }
}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerFS 4.6.7 (42398) OS vers
Attached Files

- Relationships
related to 0005005closedjustincc [PATCH] llRegionSay() script function does not trigger a ChatFromWorldEvent 
related to 0007745closedMata Hari llRegionSayTo() echos 

-  Notes
(0026866)
justincc (administrator)
2014-09-26 15:45

Fixed in git master 31c8b7f.

- Issue History
Date Modified Username Field Change
2014-09-21 12:53 Mata Hari New Issue
2014-09-21 12:55 Mata Hari Relationship added related to 0005005
2014-09-26 15:45 justincc Note Added: 0026866
2014-09-26 15:45 justincc Status new => resolved
2014-09-26 15:45 justincc Resolution open => fixed
2014-09-26 15:45 justincc Assigned To => justincc
2015-08-03 04:53 Mata Hari Status resolved => closed
2015-11-19 13:39 Mata Hari Relationship added related to 0007745


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker